shishi_x509cert_default_file(3)

NAME
shishi_x509cert_default_file - API function

SYNOPSIS
#include <shishi.h>

const char * shishi_x509cert_default_file(Shishi * handle);

ARGUMENTS

Shishi * handle
    Shishi library handle create by shishi_init().

DESCRIPTION
Get filename for default X.509 certificate.

RETURN VALUE
Returns the default X.509 client certificate filename used in the library. The certificate is used during TLS connections with the KDC to authenticate the client. The string is not a copy, so don't modify or deallocate it.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.